## org.metaabm.commands
Class AddAgentsCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.eclipse.emf.edit.command.AddCommand
                  org.metaabm.commands.AddAgentsCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class AddAgentsCommand

extends org.eclipse.emf.edit.command.AddCommand

Add agent implementation and base acts.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`AddAgentsCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, java.util.Collection<?> collection, int index)`

Method Summary
`boolean` `doCanExecute()`
`boolean` `doCanUndo()`
`void` `doExecute()`
`void` `doRedo()`
`void` `doUndo()`

Methods inherited from class org.eclipse.emf.edit.command.AddCommand
`create, create, create, create, doGetAffectedObjects, doGetResult, getCollection, getFeature, getIndex, getOwner, getOwnerList, toString`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### AddAgentsCommand

    public AddAgentsCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                            org.eclipse.emf.ecore.EObject owner,
                            java.util.Collection<?> collection,
                            int index)

Method Detail

### doCanExecute

    public boolean doCanExecute()

  Specified by:
    `doCanExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanUndo

    public boolean doCanUndo()

  Specified by:
    `doCanUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doExecute` in class `org.eclipse.emf.edit.command.AddCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doRedo` in class `org.eclipse.emf.edit.command.AddCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doUndo` in class `org.eclipse.emf.edit.command.AddCommand`